<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Ejemplo_16</title>
</head>
<body>
    <h1>Ejemplo 16</h1>

    <script>

        const powerOf2 = ( n ) => {
            if (n < 1 ) {
                return 0;
            } else if ( n === 1) {
                console.log("1");
                return 1;
            } else {
                let prev = powerOf2( n / 2),
                    curr = prev * 2;
                console.log(curr);
                return curr;
            }
        }
        
        let p = powerOf2(50);
        console.log(p);

    </script>
    
</body>
</html>